> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter fluxo

> Retorna um fluxo pelo ID.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /flow/{id}
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /flow/{id}:
    get:
      tags:
        - Flow
      summary: Obter fluxo
      description: Retorna um fluxo pelo ID.
      parameters:
        - schema:
            type: string
            pattern: ^[cC][^\s-]{8,}$
          in: path
          name: id
          required: true
          description: ID do fluxo.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  content:
                    type: object
                    properties:
                      steps:
                        type: array
                        items:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - text
                              required:
                                - id
                                - content
                                - type
                              additionalProperties: false
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - list
                                options:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      text:
                                        type: string
                                      title:
                                        type: string
                                      value:
                                        type: string
                                      nextStepId:
                                        type: string
                                        nullable: true
                                    required:
                                      - text
                                      - title
                                      - value
                                      - nextStepId
                                    additionalProperties: false
                              required:
                                - id
                                - content
                                - type
                                - options
                              additionalProperties: false
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - system
                                systemAction:
                                  type: string
                                  enum:
                                    - SEARCH_MOVEMENTS
                                    - ASSIGN_USER
                                    - ADD_LABELS
                                    - CHANGE_CRM_COLUMN
                                    - ASSIGN_AGENT
                                    - CREATE_TICKET
                                    - FIRE_WEBHOOK
                              required:
                                - id
                                - content
                                - type
                                - systemAction
                              additionalProperties: false
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - input
                                validation:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - cnj
                                        - email
                                        - phone
                                        - text
                                    errorMessage:
                                      type: string
                                  required:
                                    - type
                                  additionalProperties: false
                              required:
                                - id
                                - content
                                - type
                              additionalProperties: false
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - button
                                options:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      text:
                                        type: string
                                      title:
                                        type: string
                                      value:
                                        type: string
                                      nextStepId:
                                        type: string
                                        nullable: true
                                    required:
                                      - text
                                      - title
                                      - value
                                      - nextStepId
                                    additionalProperties: false
                              required:
                                - id
                                - content
                                - type
                                - options
                              additionalProperties: false
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - media
                                mediaType:
                                  type: string
                                  enum:
                                    - audio
                                    - image
                                    - video
                                    - document
                                url:
                                  type: string
                                fileName:
                                  type: string
                              required:
                                - id
                                - content
                                - type
                                - mediaType
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                id:
                                  type: string
                                content:
                                  type: string
                                nextStepId:
                                  type: string
                                  nullable: true
                                position:
                                  type: object
                                  properties:
                                    x:
                                      type: number
                                    'y':
                                      type: number
                                  required:
                                    - x
                                    - 'y'
                                  additionalProperties: false
                                  nullable: true
                                metadata:
                                  type: object
                                  properties:
                                    userId:
                                      type: string
                                      nullable: true
                                    departmentId:
                                      type: string
                                      nullable: true
                                    departmentIds:
                                      type: array
                                      items:
                                        type: string
                                      maxItems: 5
                                      nullable: true
                                    agentId:
                                      type: string
                                      nullable: true
                                    isAvailable:
                                      type: boolean
                                      nullable: true
                                    tagIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    funnelId:
                                      type: string
                                      nullable: true
                                    funnelColumnId:
                                      type: string
                                      nullable: true
                                    ticketTitle:
                                      type: string
                                      nullable: true
                                    ticketDescription:
                                      type: string
                                      nullable: true
                                    ticketStatusId:
                                      type: string
                                      nullable: true
                                    ticketPriority:
                                      type: string
                                      enum:
                                        - LOW
                                        - MEDIUM
                                        - HIGH
                                      nullable: true
                                    ticketAssigneeIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    ticketDepartmentIds:
                                      type: array
                                      items:
                                        type: string
                                      nullable: true
                                    webhookUrl:
                                      type: string
                                      nullable: true
                                    webhookMethod:
                                      type: string
                                      enum:
                                        - GET
                                        - POST
                                        - PUT
                                        - PATCH
                                        - DELETE
                                      nullable: true
                                    webhookHeaders:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - value
                                        additionalProperties: false
                                      maxItems: 20
                                      nullable: true
                                    webhookBody:
                                      type: string
                                      nullable: true
                                    webhookIncludeContext:
                                      type: boolean
                                      nullable: true
                                  additionalProperties: false
                                type:
                                  type: string
                                  enum:
                                    - template
                                templateName:
                                  type: string
                                  minLength: 1
                                variables:
                                  type: array
                                  items:
                                    type: string
                                headerVariables:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - id
                                - content
                                - type
                                - templateName
                              additionalProperties: false
                      initialStepId:
                        type: string
                        nullable: true
                    required:
                      - steps
                    additionalProperties: false
                  color:
                    type: string
                    nullable: true
                  isInstagramFlow:
                    type: boolean
                  inboxId:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  integrations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                      required:
                        - id
                        - name
                      additionalProperties: false
                required:
                  - id
                  - name
                  - description
                  - content
                  - color
                  - isInstagramFlow
                  - inboxId
                  - createdAt
                  - updatedAt
                  - integrations
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````